package com.mortals.xhx.module.hik.face.model;

import java.util.List;

/**
* 人脸分组信息查询对象
*
* @author zxfei
* @date 2023-04-15
*/
public class FaceGroupQuery extends FaceGroupEntity {
    /** 开始 主键ID */
    private Long idStart;

    /** 结束 主键ID */
    private Long idEnd;

    /** 增加 主键ID */
    private Long idIncrement;

    /** 主键ID列表 */
    private List <Long> idList;

    /** 主键ID排除列表 */
    private List <Long> idNotList;

    /** 名称 */
    private List<String> nameList;

    /** 名称排除列表 */
    private List <String> nameNotList;
    /** 描述 */
    private List<String> descriptionList;

    /** 描述排除列表 */
    private List <String> descriptionNotList;
    /** 分组唯一标识 */
    private List<String> indexCodeList;

    /** 分组唯一标识排除列表 */
    private List <String> indexCodeNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人ID */
    private Long createUserIdStart;

    /** 结束 创建人ID */
    private Long createUserIdEnd;

    /** 增加 创建人ID */
    private Long createUserIdIncrement;

    /** 创建人ID列表 */
    private List <Long> createUserIdList;

    /** 创建人ID排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人ID */
    private Long updateUserIdStart;

    /** 结束 更新人ID */
    private Long updateUserIdEnd;

    /** 增加 更新人ID */
    private Long updateUserIdIncrement;

    /** 更新人ID列表 */
    private List <Long> updateUserIdList;

    /** 更新人ID排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<FaceGroupQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<FaceGroupQuery> andConditionList;

    public FaceGroupQuery(){}

    /**
    * 获取 开始 主键ID
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 名称
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 名称
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 描述
    * @return descriptionList
    */
    public List<String> getDescriptionList(){
        return this.descriptionList;
    }

    /**
    * 设置 描述
    * @param descriptionList
    */
    public void setDescriptionList(List<String> descriptionList){
        this.descriptionList = descriptionList;
    }

    /**
    * 获取 描述
    * @return descriptionNotList
    */
    public List<String> getDescriptionNotList(){
        return this.descriptionNotList;
    }

    /**
    * 设置 描述
    * @param descriptionNotList
    */
    public void setDescriptionNotList(List<String> descriptionNotList){
        this.descriptionNotList = descriptionNotList;
    }

    /**
    * 获取 分组唯一标识
    * @return indexCodeList
    */
    public List<String> getIndexCodeList(){
        return this.indexCodeList;
    }

    /**
    * 设置 分组唯一标识
    * @param indexCodeList
    */
    public void setIndexCodeList(List<String> indexCodeList){
        this.indexCodeList = indexCodeList;
    }

    /**
    * 获取 分组唯一标识
    * @return indexCodeNotList
    */
    public List<String> getIndexCodeNotList(){
        return this.indexCodeNotList;
    }

    /**
    * 设置 分组唯一标识
    * @param indexCodeNotList
    */
    public void setIndexCodeNotList(List<String> indexCodeNotList){
        this.indexCodeNotList = indexCodeNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人ID
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人ID
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人ID
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人ID
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人ID
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人ID
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID
    * @param id
    */
    public FaceGroupQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID
    * @param idStart
    */
    public FaceGroupQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID
    * @param idEnd
    */
    public FaceGroupQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID
    * @param idIncrement
    */
    public FaceGroupQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID
    * @param idList
    */
    public FaceGroupQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID
        * @param idNotList
        */
        public FaceGroupQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 名称
    * @param name
    */
    public FaceGroupQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 名称
    * @param nameList
    */
    public FaceGroupQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 描述
    * @param description
    */
    public FaceGroupQuery description(String description){
        setDescription(description);
		return this;
    }

    /**
    * 设置 描述
    * @param descriptionList
    */
    public FaceGroupQuery descriptionList(List<String> descriptionList){
        this.descriptionList = descriptionList;
		return this;
    }


	/**
    * 设置 分组唯一标识
    * @param indexCode
    */
    public FaceGroupQuery indexCode(String indexCode){
        setIndexCode(indexCode);
		return this;
    }

    /**
    * 设置 分组唯一标识
    * @param indexCodeList
    */
    public FaceGroupQuery indexCodeList(List<String> indexCodeList){
        this.indexCodeList = indexCodeList;
		return this;
    }


    /**
    * 设置  创建人ID
    * @param createUserId
    */
    public FaceGroupQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public FaceGroupQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public FaceGroupQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public FaceGroupQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public FaceGroupQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人ID
        * @param createUserIdNotList
        */
        public FaceGroupQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人ID
    * @param updateUserId
    */
    public FaceGroupQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public FaceGroupQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public FaceGroupQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public FaceGroupQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public FaceGroupQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人ID
        * @param updateUserIdNotList
        */
        public FaceGroupQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<FaceGroupQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<FaceGroupQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<FaceGroupQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<FaceGroupQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}